CMSIS-DSP: Globals

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- v
- w
- x
- y

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages

### - a -

- arm_abs_f16() : basic_math_functions_f16.h , arm_abs_f16.c
- arm_abs_f32() : arm_abs_f32.c , basic_math_functions.h
- arm_abs_f64() : basic_math_functions.h , arm_abs_f64.c
- arm_abs_q15() : arm_abs_q15.c , basic_math_functions.h
- arm_abs_q31() : basic_math_functions.h , arm_abs_q31.c
- arm_abs_q7() : basic_math_functions.h , arm_abs_q7.c
- arm_absmax_f16() : statistics_functions_f16.h , arm_absmax_f16.c
- arm_absmax_f32() : arm_absmax_f32.c , statistics_functions.h
- arm_absmax_f64() : statistics_functions.h , arm_absmax_f64.c
- arm_absmax_no_idx_f16() : statistics_functions_f16.h , arm_absmax_no_idx_f16.c
- arm_absmax_no_idx_f32() : statistics_functions.h , arm_absmax_no_idx_f32.c
- arm_absmax_no_idx_f64() : statistics_functions.h , arm_absmax_no_idx_f64.c
- arm_absmax_no_idx_q15() : statistics_functions.h , arm_absmax_no_idx_q15.c
- arm_absmax_no_idx_q31() : statistics_functions.h , arm_absmax_no_idx_q31.c
- arm_absmax_no_idx_q7() : statistics_functions.h , arm_absmax_no_idx_q7.c
- arm_absmax_q15() : arm_absmax_q15.c , statistics_functions.h
- arm_absmax_q31() : statistics_functions.h , arm_absmax_q31.c
- arm_absmax_q7() : statistics_functions.h , arm_absmax_q7.c
- arm_absmin_f16() : statistics_functions_f16.h , arm_absmin_f16.c
- arm_absmin_f32() : statistics_functions.h , arm_absmin_f32.c
- arm_absmin_f64() : statistics_functions.h , arm_absmin_f64.c
- arm_absmin_no_idx_f16() : statistics_functions_f16.h , arm_absmin_no_idx_f16.c
- arm_absmin_no_idx_f32() : statistics_functions.h , arm_absmin_no_idx_f32.c
- arm_absmin_no_idx_f64() : statistics_functions.h , arm_absmin_no_idx_f64.c
- arm_absmin_no_idx_q15() : statistics_functions.h , arm_absmin_no_idx_q15.c
- arm_absmin_no_idx_q31() : statistics_functions.h , arm_absmin_no_idx_q31.c
- arm_absmin_no_idx_q7() : statistics_functions.h , arm_absmin_no_idx_q7.c
- arm_absmin_q15() : statistics_functions.h , arm_absmin_q15.c
- arm_absmin_q31() : statistics_functions.h , arm_absmin_q31.c
- arm_absmin_q7() : statistics_functions.h , arm_absmin_q7.c
- arm_add_f16() : basic_math_functions_f16.h , arm_add_f16.c
- arm_add_f32() : arm_add_f32.c , basic_math_functions.h
- arm_add_f64() : basic_math_functions.h , arm_add_f64.c
- arm_add_q15() : basic_math_functions.h , arm_add_q15.c
- arm_add_q31() : basic_math_functions.h , arm_add_q31.c
- arm_add_q7() : basic_math_functions.h , arm_add_q7.c
- arm_and_u16() : basic_math_functions.h , arm_and_u16.c
- arm_and_u32() : basic_math_functions.h , arm_and_u32.c
- arm_and_u8() : basic_math_functions.h , arm_and_u8.c
- arm_apply_guard_bits() : arm_graphic_equalizer_example/math_helper.h , arm_convolution_example/math_helper.c , arm_signal_converge_example/math_helper.c , arm_linear_interp_example/math_helper.h , arm_convolution_example/math_helper.h , arm_linear_interp_example/math_helper.c , arm_matrix_example/math_helper.h , arm_matrix_example/math_helper.c , arm_signal_converge_example/math_helper.h , arm_fir_example/math_helper.h , arm_graphic_equalizer_example/math_helper.c , arm_fir_example/math_helper.c
- arm_atan2_f16() : fast_math_functions_f16.h , arm_atan2_f16.c
- arm_atan2_f32() : arm_atan2_f32.c , fast_math_functions.h
- arm_atan2_q15() : arm_atan2_q15.c , fast_math_functions.h
- arm_atan2_q31() : fast_math_functions.h , arm_atan2_q31.c
- arm_atan_f16() : arm_atan2_f16.c
- arm_atan_f32() : arm_atan2_f32.c
- arm_atan_limited_f16() : arm_atan2_f16.c
- arm_atan_limited_f32() : arm_atan2_f32.c
- arm_atan_limited_q15() : arm_atan2_q15.c
- arm_atan_limited_q31() : arm_atan2_q31.c
- arm_atan_q15() : arm_atan2_q15.c
- arm_atan_q31() : arm_atan2_q31.c